# Uses of Interface
org.xml.sax.XMLFilter

Packages that use XMLFilter
Package
Description
javax.xml.transform.sax
Provides SAX specific transformation classes.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of XMLFilter in javax.xml.transform.sax

Methods in javax.xml.transform.sax that return XMLFilter
Modifier and Type
Method
Description
`abstract XMLFilter`
SAXTransformerFactory.`newXMLFilter(Source src)`
Create an XMLFilter that uses the given Source as the transformation instructions.
`abstract XMLFilter`
SAXTransformerFactory.`newXMLFilter(Templates templates)`
Create an XMLFilter, based on the Templates argument..

## Uses of XMLFilter in org.xml.sax.helpers

Classes in org.xml.sax.helpers that implement XMLFilter
Modifier and Type
Class
Description
`class`
`XMLFilterImpl`
Base class for deriving an XML filter.